For the complete documentation index, see llms.txt. This page is also available as Markdown.

Lookup using Auth

RKFL system offers Transaction lookup functionality. The merchant should have access token to call Transaction lookup API, Authentication API can be used to get access token.

POST /purchase/transactionLookup

Headers

Name
Type
Description

Authorization*

String

"Bearer" + merchant access token

Content-Type*

String

application/json

Request Body

Name
Type
Description

txId*

String

type

String

Allowed values:

'TXID', 'ORDERID' Default value: 'TXID'

{
    "ok": true,
    "result": {
        "id": "f84d01c4-587f-496f-8b7e-6bad916e95dd",
        "status": 1,
        "meta": {
            "hash": {
                "value": [
                    "66ce480ab083bc352dc852f440a3d671afde583d44da8b7ca2288225ff46aae2",
                    "5fcb0933fea8b80080c5f4ed2f4786b1acc5b33bbd71327dff6e0add96a4031d"
                ],
                "network": "ethereum"
            },
            "offerId": "DEFG123"
            "receiverAddress": "0xEcb977e1d467FC5f8Deb0f0dc4D7b7D0E96Fa6F9"
        },
        "totalAmount": "0.00130036",
        "receivedAmount": "0.0015",
        "currency": "USD",
        "crytoCurrency": "ETH"
    }
}

For more information on transaction statuses, click here to access the full guide.

Last updated

Was this helpful?